Skip to main content

Get comments for submissionId

GET 

/comments/:submissionId

Get comments for submissionId

Request​

Path Parameters

    submissionId submissionIdrequired

    The submissionId to get comments for

Query Parameters

    content string

    Search for comments by content

    state string

    Search for comments by state

    startDate date-time

    Search by start date

    endDate date-time

    Search by end date

    page integer

    Possible values: >= 1

    Default value: 1

    Specify the page number for pagination (default is 1).

    limit integer

    Default value: 10

    Specify the number of projects per page (default is 10, 0 gets all results).

    sortBy string

    Possible values: [createdAt, content]

    Field to order the results by (e.g., 'createdAt'). Default is 'createdAt'.

    sortOrder string

    Possible values: [asc, desc]

    Default value: desc

    'asc' for ascending or 'desc' for descending order. Default is 'desc'.

Responses​

Comments retrieved

Schema

  • Array [

  • createdAt date-time

    Time representation of entity creation

    submissionId submissionId (string)

    Unique identifier for Submission

    state commentState (string)

    Possible values: [public, hidden, flagged, studioApproved, studioRejected]

    owner address (string)
    body string
    id commentId (string)

    Unique identifier for Comment

  • ]

Loading...